using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Table("APEDepartmentWorkflowStatus", Schema = "fp")]
[Index("DepartmentId", "WorkflowStepId", Name = "UC_APEDepartmentWorkflowStatus_DepartmentID_WorkflowStepID", IsUnique = true)]
public partial class ApedepartmentWorkflowStatus
{
    [Key]
    [Column("DepartmentWorkflowStatusID")]
    public int DepartmentWorkflowStatusId { get; set; }

    [Column("WorkflowStepID")]
    public int WorkflowStepId { get; set; }

    [Column("DepartmentID")]
    public int DepartmentId { get; set; }

    public byte Status { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime EnteredStepDateTimeUtc { get; set; }

    [ForeignKey("WorkflowStepId")]
    [InverseProperty("ApedepartmentWorkflowStatuses")]
    public virtual Apeworkflow WorkflowStep { get; set; } = null!;
}
